/* evergarden fall */
:root {
  color-scheme: dark;
  --is-dark-theme: true;
  accent-color: #cbe3b3;
  --color-primary: #cbe3b3;
  --color-primary-contrast: #171c1f;
  --color-primary-hover: rgb(190.25, 220.1346153846, 160.3653846154);
  --color-primary-dark-1: rgb(195.35, 222.8807692308, 167.8192307692);
  --color-primary-dark-2: rgb(187.7, 218.7615384615, 156.6384615385);
  --color-primary-dark-3: rgb(180.05, 214.6423076923, 145.4576923077);
  --color-primary-dark-4: rgb(172.4, 210.5230769231, 134.2769230769);
  --color-primary-dark-5: rgb(164.75, 206.4038461538, 123.0961538462);
  --color-primary-dark-6: rgb(157.1, 202.2846153846, 111.9153846154);
  --color-primary-dark-7: rgb(149.45, 198.1653846154, 100.7346153846);
  --color-primary-light-1: rgb(210.65, 231.1192307692, 190.1807692308);
  --color-primary-light-2: rgb(218.3, 235.2384615385, 201.3615384615);
  --color-primary-light-3: rgb(225.95, 239.3576923077, 212.5423076923);
  --color-primary-light-4: rgb(233.6, 243.4769230769, 223.7230769231);
  --color-primary-light-5: rgb(241.25, 247.5961538462, 234.9038461538);
  --color-primary-light-6: rgb(248.9, 251.7153846154, 246.0846153846);
  --color-primary-light-7: hsl(90, 46.1538461538%, 100.6078431373%);
  --color-primary-alpha-10: rgba(203, 227, 179, 0.1);
  --color-primary-alpha-20: rgba(203, 227, 179, 0.2);
  --color-primary-alpha-30: rgba(203, 227, 179, 0.3);
  --color-primary-alpha-40: rgba(203, 227, 179, 0.4);
  --color-primary-alpha-50: rgba(203, 227, 179, 0.5);
  --color-primary-alpha-60: rgba(203, 227, 179, 0.6);
  --color-primary-alpha-70: rgba(203, 227, 179, 0.7);
  --color-primary-alpha-80: rgba(203, 227, 179, 0.8);
  --color-primary-alpha-90: rgba(203, 227, 179, 0.9);
  --color-secondary: #374145;
  --color-secondary-dark-1: rgb(49.7132653061, 58.962244898, 63.5867346939);
  --color-secondary-dark-2: rgb(56.4265306122, 66.9244897959, 72.1734693878);
  --color-secondary-dark-3: rgb(63.1397959184, 74.8867346939, 80.7602040816);
  --color-secondary-dark-4: rgb(69.8530612245, 82.8489795918, 89.3469387755);
  --color-secondary-dark-5: rgb(76.5663265306, 90.8112244898, 97.9336734694);
  --color-secondary-dark-6: rgb(83.2795918367, 98.7734693878, 106.5204081633);
  --color-secondary-dark-7: rgb(89.9928571429, 106.7357142857, 115.1071428571);
  --color-secondary-dark-8: rgb(96.706122449, 114.6979591837, 123.693877551);
  --color-secondary-dark-9: rgb(103.4193877551, 122.6602040816, 132.2806122449);
  --color-secondary-dark-10: rgb(110.1326530612, 130.6224489796, 140.8673469388);
  --color-secondary-dark-11: rgb(118.2295918367, 138.1234693878, 148.0704081633);
  --color-secondary-dark-12: rgb(126.8163265306, 145.4612244898, 154.7836734694);
  --color-secondary-dark-13: rgb(135.4030612245, 152.7989795918, 161.4969387755);
  --color-secondary-light-1: rgb(36.2867346939, 43.037755102, 46.4132653061);
  --color-secondary-light-2: rgb(29.5734693878, 35.0755102041, 37.8265306122);
  --color-secondary-light-3: rgb(22.8602040816, 27.1132653061, 29.2397959184);
  --color-secondary-light-4: rgb(16.1469387755, 19.1510204082, 20.6530612245);
  --color-secondary-alpha-10: rgba(43, 51, 55, 0.1);
  --color-secondary-alpha-20: rgba(43, 51, 55, 0.2);
  --color-secondary-alpha-30: rgba(43, 51, 55, 0.3);
  --color-secondary-alpha-40: rgba(43, 51, 55, 0.4);
  --color-secondary-alpha-50: rgba(43, 51, 55, 0.5);
  --color-secondary-alpha-60: rgba(43, 51, 55, 0.6);
  --color-secondary-alpha-70: rgba(43, 51, 55, 0.7);
  --color-secondary-alpha-80: rgba(43, 51, 55, 0.8);
  --color-secondary-alpha-90: rgba(43, 51, 55, 0.9);
  /* colors */
  --color-red: #f57f82;
  --color-orange: #f7a182;
  --color-yellow: #f5d098;
  --color-olive: #cbe3b3;
  --color-green: #cbe3b3;
  --color-aqua: #b3e3ca;
  --color-blue: #b2caed;
  --color-violet: #afd9e6;
  --color-purple: #d2bdf3;
  --color-pink: #f3c0e5;
  --color-brown: #f6cee5;
  --color-grey: #839e9a;
  --color-black: #1c2225;
  /* light variants - produced via Sass scale-color(color, $lightness: -10%) */
  --color-red-light: rgb(241.3043478261, 79.6956521739, 83.8043478261);
  --color-orange-light: rgb(243.9323308271, 124.954887218, 82.0676691729);
  --color-yellow-light: rgb(240.4867256637, 186.7876106195, 105.5132743363);
  --color-olive-light: rgb(177.5, 213.2692307692, 141.7307692308);
  --color-green-light: rgb(177.5, 213.2692307692, 141.7307692308);
  --color-aqua-light: rgb(141.7307692308, 213.2692307692, 176.0096153846);
  --color-blue-light: rgb(136.6631578947, 173.5473684211, 227.3368421053);
  --color-violet-light: rgb(136.1428571429, 198.5428571429, 217.8571428571);
  --color-purple-light: rgb(180.5769230769, 145.8461538462, 235.1538461538);
  --color-pink-light: rgb(234.84, 149.16, 211.32);
  --color-brown-light: rgb(238.0862068966, 162.9137931034, 206.1379310345);
  --color-grey-light: rgb(104.4615384615, 133.5384615385, 129.2307692308);
  --color-black-light: rgb(6.0307692308, 7.3230769231, 7.9692307692);
  /* dark 1 variants - produced via Sass scale-color(color, $lightness: -10%) */
  --color-red-dark-1: rgb(241.3043478261, 79.6956521739, 83.8043478261);
  --color-orange-dark-1: rgb(243.9323308271, 124.954887218, 82.0676691729);
  --color-yellow-dark-1: rgb(240.4867256637, 186.7876106195, 105.5132743363);
  --color-olive-dark-1: rgb(177.5, 213.2692307692, 141.7307692308);
  --color-green-dark-1: rgb(177.5, 213.2692307692, 141.7307692308);
  --color-aqua-dark-1: rgb(141.7307692308, 213.2692307692, 176.0096153846);
  --color-blue-dark-1: rgb(136.6631578947, 173.5473684211, 227.3368421053);
  --color-violet-dark-1: rgb(136.1428571429, 198.5428571429, 217.8571428571);
  --color-purple-dark-1: rgb(180.5769230769, 145.8461538462, 235.1538461538);
  --color-pink-dark-1: rgb(234.84, 149.16, 211.32);
  --color-brown-dark-1: rgb(238.0862068966, 162.9137931034, 206.1379310345);
  --color-black-dark-1: rgb(6.0307692308, 7.3230769231, 7.9692307692);
  /* dark 2 variants - produced via Sass scale-color(color, $lightness: -20%) */
  --color-red-dark-2: rgb(237.6086956522, 32.3913043478, 37.6086956522);
  --color-orange-dark-2: rgb(240.8646616541, 88.9097744361, 34.1353383459);
  --color-yellow-dark-2: rgb(235.9734513274, 165.5752212389, 59.0265486726);
  --color-olive-dark-2: rgb(152, 199.5384615385, 104.4615384615);
  --color-green-dark-2: rgb(152, 199.5384615385, 104.4615384615);
  --color-aqua-dark-2: rgb(104.4615384615, 199.5384615385, 150.0192307692);
  --color-blue-dark-2: rgb(95.3263157895, 145.0947368421, 217.6736842105);
  --color-violet-dark-2: rgb(97.2857142857, 180.0857142857, 205.7142857143);
  --color-purple-dark-2: rgb(151.1538461538, 102.6923076923, 227.3076923077);
  --color-pink-dark-2: rgb(226.68, 106.32, 193.64);
  --color-brown-dark-2: rgb(230.1724137931, 119.8275862069, 183.275862069);
  --color-black-dark-2: hsl(200, 13.8461538462%, -7.2549019608%);
  /* other colors */
  --color-gold: #f6cee5;
  --color-white: #f8f9e8;
  --color-diff-removed-word-bg: rgba(245, 127, 130, 0.15);
  --color-diff-added-word-bg: rgba(203, 227, 179, 0.15);
  --color-diff-removed-row-bg: rgba(245, 127, 130, 0.07);
  --color-diff-moved-row-bg: rgba(245, 208, 152, 0.07);
  --color-diff-added-row-bg: rgba(203, 227, 179, 0.07);
  --color-diff-removed-row-border: rgba(245, 127, 130, 0.07);
  --color-diff-moved-row-border: rgba(245, 208, 152, 0.07);
  --color-diff-added-row-border: rgba(203, 227, 179, 0.07);
  --color-diff-inactive: #839e9a;
  --color-error-border: #f57f82;
  --color-error-bg: #f57f82;
  --color-error-bg-active: rgb(243.152173913, 103.347826087, 106.902173913);
  --color-error-bg-hover: rgb(241.3043478261, 79.6956521739, 83.8043478261);
  --color-error-text: #171c1f;
  --color-success-border: rgb(177.5, 213.2692307692, 141.7307692308);
  --color-success-bg: #cbe3b3;
  --color-success-text: #171c1f;
  --color-warning-border: rgb(240.4867256637, 186.7876106195, 105.5132743363);
  --color-warning-bg: #f5d098;
  --color-warning-text: #171c1f;
  --color-info-border: rgb(136.6631578947, 173.5473684211, 227.3368421053);
  --color-info-bg: #171c1f;
  --color-info-text: #f8f9e8;
  --color-red-badge: rgb(241.3043478261, 79.6956521739, 83.8043478261);
  --color-red-badge-bg: #171c1f;
  --color-red-badge-hover-bg: rgb(243.152173913, 103.347826087, 106.902173913);
  --color-green-badge: #cbe3b3;
  --color-green-badge-bg: #cbe3b3;
  --color-green-badge-hover-bg: rgb(190.25, 220.1346153846, 160.3653846154);
  --color-yellow-badge: #f5d098;
  --color-yellow-badge-bg: #171c1f;
  --color-yellow-badge-hover-bg: rgb(242.7433628319, 197.3938053097, 128.7566371681);
  --color-orange-badge: #f7a182;
  --color-orange-badge-bg: #171c1f;
  --color-orange-badge-hover-bg: rgb(245.4661654135, 142.977443609, 106.0338345865);
  --color-git: #f7a182;
  --color-highlight-bg: rgba(245, 208, 152, 0.15);
  /* target-based colors */
  --color-body: #171c1f;
  --color-box-header: #1c2225;
  --color-box-body: #1c2225;
  --color-box-body-highlight: #2b3337;
  --color-text-dark: #96b4aa;
  --color-text: #f8f9e8;
  --color-text-light: #adc9bc;
  --color-text-light-1: #adc9bc;
  --color-text-light-2: #adc9bc;
  --color-text-light-3: #adc9bc;
  --color-footer: #1c2225;
  --color-timeline: #2b3337;
  --color-input-text: #f8f9e8;
  --color-input-background: #2b3337;
  --color-input-toggle-background: #2b3337;
  --color-input-border: #374145;
  --color-input-border-hover: #4a585c;
  --color-nav-bg: #1c2225;
  --color-nav-hover-bg: var(--color-hover);
  --color-navbar: #1c2225;
  --color-navbar-transparent: rgba(23, 28, 31, 0);
  --color-light: rgba(74, 88, 92, 0.3);
  --color-light-mimic-enabled: rgba(
    0,
    0,
    0,
    calc(40 / 255 * 222 / 255 / var(--opacity-disabled))
  );
  --color-light-border: #4a585c;
  --color-hover: rgba(88, 104, 109, 0.2);
  --color-active: rgba(248, 249, 232, 0.1);
  --color-menu: #2b3337;
  --color-card: #2b3337;
  --color-markup-table-row: rgba(248, 249, 232, 0.02);
  --color-markup-code-block: rgba(248, 249, 232, 0.05);
  --color-markup-code-inline: #2b3337;
  --color-button: #2b3337;
  --color-code-bg: #232a2e;
  --color-code-sidebar-bg: #2b3337;
  --color-shadow: rgba(23, 28, 31, 0.1);
  --color-tooltip-bg: #2b3337;
  --color-tooltip-text: var(--color-text);
  --color-secondary-bg: #2b3337;
  --color-text-focus: #f8f9e8;
  --color-expand-button: #4a585c;
  --color-placeholder-text: #96b4aa;
  --color-editor-line-highlight: var(--color-primary-light-5);
  --color-project-board-bg: var(--color-secondary-light-2);
  /* gitea source code: */
  /* should ideally be --color-text-dark, see go-gitea/gitea#15651 */
  --color-caret: var(--color-text);
  --color-reaction-bg: rgba(248, 249, 232, 0.07);
  --color-reaction-active-bg: var(--color-primary-alpha-40);
  --color-header-wrapper: #1c2225;
  --color-header-wrapper-transparent: rgba(28, 34, 37, 0);
  --color-label-text: #171c1f;
  --color-label-bg: #cbe3b3;
  --color-label-hover-bg: rgb(187.7, 218.7615384615, 156.6384615385);
  --color-label-active-bg: rgb(195.35, 222.8807692308, 167.8192307692);
  --color-accent: var(--color-primary-light-1);
  --color-small-accent: var(--color-primary-light-5);
  --color-active-line: #374145;
}

/* invert emojis that are hard to read otherwise */
.emoji[aria-label="check mark"],
.emoji[aria-label="currency exchange"],
.emoji[aria-label="TOP arrow"],
.emoji[aria-label="END arrow"],
.emoji[aria-label="ON! arrow"],
.emoji[aria-label="SOON arrow"],
.emoji[aria-label="heavy dollar sign"],
.emoji[aria-label=copyright],
.emoji[aria-label=registered],
.emoji[aria-label="trade mark"],
.emoji[aria-label=multiply],
.emoji[aria-label=plus],
.emoji[aria-label=minus],
.emoji[aria-label=divide],
.emoji[aria-label="curly loop"],
.emoji[aria-label="double curly loop"],
.emoji[aria-label="wavy dash"],
.emoji[aria-label="paw prints"],
.emoji[aria-label="musical note"],
.emoji[aria-label="musical notes"] {
  filter: invert(100%) hue-rotate(180deg);
}

.ui.ui.ui.button:not(.inverted, .basic).primary, .ui.ui.ui.button:not(.inverted, .basic).green, .ui.ui.ui.button:not(.inverted, .basic).red, .ui.ui.ui.button:not(.inverted, .basic).aqua,
.ui.ui.ui.label:not(.inverted, .basic).primary,
.ui.ui.ui.label:not(.inverted, .basic).green,
.ui.ui.ui.label:not(.inverted, .basic).red,
.ui.ui.ui.label:not(.inverted, .basic).aqua {
  color: #171c1f;
}
.ui.ui.ui.button:not(.inverted, .basic).primary:hover, .ui.ui.ui.button:not(.inverted, .basic).green:hover, .ui.ui.ui.button:not(.inverted, .basic).red:hover, .ui.ui.ui.button:not(.inverted, .basic).aqua:hover,
.ui.ui.ui.label:not(.inverted, .basic).primary:hover,
.ui.ui.ui.label:not(.inverted, .basic).green:hover,
.ui.ui.ui.label:not(.inverted, .basic).red:hover,
.ui.ui.ui.label:not(.inverted, .basic).aqua:hover {
  color: #232a2e;
}

.ui.basic.modal {
  background-color: #232a2e;
}

.ui.commit-header-row .svg.gitea-lock ~ a {
  color: #171c1f;
}

.ui.negative.message .header {
  color: var(--color-error-text);
}

.ui.sha.isSigned.isVerified .shortsha {
  color: #171c1f;
}
.ui.sha.isSigned.isVerified svg.gitea-lock {
  fill: #171c1f;
}

.ui.basic.modal,
.ui.basic.modal > .header,
.ui.inverted.button {
  color: #f8f9e8 !important;
}

#repo-topics,
#topic_edit > .ui.selection.dropdown {
  color: var(--color-label-text) !important;
}

#manage_topic {
  color: var(--color-text-light-2) !important;
}

blockquote.attention-tip {
  border-left-color: var(--color-success-bg);
}
blockquote.attention-warning {
  border-left-color: var(--color-warning-bg);
}

svg.attention-tip,
strong.attention-tip {
  color: var(--color-success-bg);
}
svg.attention-warning,
strong.attention-warning {
  color: var(--color-warning-bg);
}

.inline-code-block {
  color: #171c1f;
}

::selection {
  background: rgba(203, 227, 179, 0.3) !important;
}

/* NameBuiltinPseudo */
.chroma .bp {
  color: #f7a182;
}

/* Comment */
.chroma .c {
  color: #58686d;
}

/* CommentSingle */
.chroma .c1 {
  color: #58686d;
}

/* CommentHashbang */
.chroma .ch {
  color: #58686d;
}

/* CommentMultiline */
.chroma .cm {
  color: #58686d;
}

/* CommentPreproc */
.chroma .cp {
  color: #b2caed;
}

/* CommentPreprocFile */
.chroma .cpf {
  color: #b2caed;
}

/* CommentSpecial */
.chroma .cs {
  color: #58686d;
}

/* LiteralStringDelimiter */
.chroma .dl {
  color: #b2caed;
}

/* NameFunctionMagic */
/* Generic */
/* GenericDeleted */
.chroma .gd {
  color: #f8f9e8;
  background-color: rgba(245, 127, 130, 0.15);
}

/* GenericEmph */
.chroma .ge {
  font-style: italic;
}

/* GenericHeading */
.chroma .gh {
  color: #b3e6db;
}

/* GenericInserted */
.chroma .gi {
  color: #f8f9e8;
  background-color: rgba(203, 227, 179, 0.15);
}

/* GenericUnderline */
/* GenericOutput */
.chroma .go {
  color: #f7a182;
}

/* GenericPrompt */
.chroma .gp {
  color: #58686d;
  font-weight: bold;
}

/* GenericError */
.chroma .gr {
  color: #f57f82;
}

/* GenericStrong */
.chroma .gs {
  font-weight: bold;
}

/* GenericTraceback */
.chroma .gt {
  color: #f57f82;
}

/* GenericSubheading */
.chroma .gu {
  color: #b3e6db;
}

/* LiteralNumberIntegerLong */
.chroma .il {
  color: #f7a182;
}

/* Keyword */
.chroma .k {
  color: #d2bdf3;
}

/* KeywordConstant */
.chroma .kc {
  color: #f5d098;
}

/* KeywordDeclaration */
.chroma .kd {
  color: #d2bdf3;
}

/* KeywordNamespace */
.chroma .kn {
  color: #f5d098;
}

/* KeywordPseudo */
.chroma .kp {
  color: #d2bdf3;
  font-weight: bold;
}

/* KeywordReserved */
.chroma .kr {
  color: #d2bdf3;
}

/* KeywordType */
.chroma .kt {
  color: #f5d098;
}

/* Literal */
/* LiteralDate */
/* LiteralNumber */
.chroma .m {
  color: #f7a182;
}

/* LiteralNumberBin */
.chroma .mb {
  color: #f7a182;
}

/* LiteralNumberFloat */
.chroma .mf {
  color: #f7a182;
}

/* LiteralNumberHex */
.chroma .mh {
  color: #f7a182;
}

/* LiteralNumberInteger */
.chroma .mi {
  color: #f7a182;
}

/* LiteralNumberOct */
.chroma .mo {
  color: #f7a182;
}

/* Name */
.chroma .n {
  color: #afd9e6;
}

/* NameAttribute */
.chroma .na {
  color: #f5d098;
}

/* NameBuiltin */
.chroma .nb {
  color: #f7a182;
}

/* NameClass */
.chroma .nc {
  color: #f5d098;
}

/* NameDecorator */
.chroma .nd {
  color: #f3c0e5;
}

/* NameException */
.chroma .ne {
  color: #f57f82;
}

/* NameFunction */
.chroma .nf {
  color: #b2caed;
}

/* NameEntity */
.chroma .ni {
  color: #f3c0e5;
}

/* NameLabel */
.chroma .nl {
  color: #f5d098;
}

/* NameNamespace */
.chroma .nn {
  color: #f5d098;
}

/* NameConstant */
.chroma .no {
  color: #f5d098;
}

/* NameTag */
.chroma .nt {
  color: #d2bdf3;
}

/* NameVariable */
.chroma .nv {
  color: #f7a182;
}

/* NameOther */
.chroma .nx {
  color: #f7a182;
}

/* Operator */
.chroma .o {
  color: #b3e6db;
}

/* OperatorWord */
.chroma .ow {
  color: #b3e6db;
  font-weight: bold;
}

/* Punctuation */
.chroma .p {
  color: #839e9a;
}

/* NameProperty */
/* LiteralString */
.chroma .s {
  color: #cbe3b3;
}

/* LiteralStringSingle */
.chroma .s1 {
  color: #cbe3b3;
}

/* LiteralStringDouble */
.chroma .s2 {
  color: #cbe3b3;
}

/* LiteralStringAffix */
.chroma .sa {
  color: #cbe3b3;
}

/* LiteralStringBacktick */
.chroma .sb {
  color: #cbe3b3;
}

/* LiteralStringChar */
.chroma .sc {
  color: #cbe3b3;
}

/* LiteralStringDoc */
.chroma .sd {
  color: #cbe3b3;
}

/* LiteralStringEscape */
.chroma .se {
  color: #b2caed;
}

/* LiteralStringHeredoc */
.chroma .sh {
  color: #cbe3b3;
}

/* LiteralStringInterpol */
.chroma .si {
  color: #cbe3b3;
}

/* LiteralStringRegex */
.chroma .sr {
  color: #b2caed;
}

/* LiteralStringSymbol */
.chroma .ss {
  color: #cbe3b3;
}

/* LiteralStringOther */
.chroma .sx {
  color: #cbe3b3;
}

/* NameVariableClass */
.chroma .vc {
  color: #f5d098;
}

/* NameVariableGlobal */
.chroma .vg {
  color: #f7a182;
}

/* NameVariableInstance */
.chroma .vi {
  color: #f5d098;
}

/* NameVariableMagic */
/* TextWhitespace */
.chroma .w {
  color: #2b3337;
}

.CodeMirror .cm-property,
.CodeMirror.cm-s-default .cm-property,
.CodeMirror.cm-s-paper .cm-property {
  color: #f8f9e8;
}
.CodeMirror .cm-header,
.CodeMirror.cm-s-default .cm-header,
.CodeMirror.cm-s-paper .cm-header {
  color: #f8f9e8;
}
.CodeMirror .cm-quote,
.CodeMirror.cm-s-default .cm-quote,
.CodeMirror.cm-s-paper .cm-quote {
  color: #cbe3b3;
}
.CodeMirror .cm-keyword,
.CodeMirror.cm-s-default .cm-keyword,
.CodeMirror.cm-s-paper .cm-keyword {
  color: #d2bdf3;
}
.CodeMirror .cm-atom,
.CodeMirror.cm-s-default .cm-atom,
.CodeMirror.cm-s-paper .cm-atom {
  color: #f57f82;
}
.CodeMirror .cm-number,
.CodeMirror.cm-s-default .cm-number,
.CodeMirror.cm-s-paper .cm-number {
  color: #f7a182;
}
.CodeMirror .cm-def,
.CodeMirror.cm-s-default .cm-def,
.CodeMirror.cm-s-paper .cm-def {
  color: #f8f9e8;
}
.CodeMirror .cm-variable-2,
.CodeMirror.cm-s-default .cm-variable-2,
.CodeMirror.cm-s-paper .cm-variable-2 {
  color: #b3e6db;
}
.CodeMirror .cm-variable-3,
.CodeMirror.cm-s-default .cm-variable-3,
.CodeMirror.cm-s-paper .cm-variable-3 {
  color: #b3e3ca;
}
.CodeMirror .cm-comment,
.CodeMirror.cm-s-default .cm-comment,
.CodeMirror.cm-s-paper .cm-comment {
  color: #4a585c;
}
.CodeMirror .cm-string,
.CodeMirror.cm-s-default .cm-string,
.CodeMirror.cm-s-paper .cm-string {
  color: #cbe3b3;
}
.CodeMirror .cm-string-2,
.CodeMirror.cm-s-default .cm-string-2,
.CodeMirror.cm-s-paper .cm-string-2 {
  color: #cbe3b3;
}
.CodeMirror .cm-meta,
.CodeMirror.cm-s-default .cm-meta,
.CodeMirror.cm-s-paper .cm-meta {
  color: #f7a182;
}
.CodeMirror .cm-qualifier,
.CodeMirror.cm-s-default .cm-qualifier,
.CodeMirror.cm-s-paper .cm-qualifier {
  color: #f7a182;
}
.CodeMirror .cm-builtin,
.CodeMirror.cm-s-default .cm-builtin,
.CodeMirror.cm-s-paper .cm-builtin {
  color: #f7a182;
}
.CodeMirror .cm-bracket,
.CodeMirror.cm-s-default .cm-bracket,
.CodeMirror.cm-s-paper .cm-bracket {
  color: #f8f9e8;
}
.CodeMirror .cm-tag,
.CodeMirror.cm-s-default .cm-tag,
.CodeMirror.cm-s-paper .cm-tag {
  color: #f5d098;
}
.CodeMirror .cm-attribute,
.CodeMirror.cm-s-default .cm-attribute,
.CodeMirror.cm-s-paper .cm-attribute {
  color: #f5d098;
}
.CodeMirror .cm-hr,
.CodeMirror.cm-s-default .cm-hr,
.CodeMirror.cm-s-paper .cm-hr {
  color: #839e9a;
}
.CodeMirror .cm-url,
.CodeMirror.cm-s-default .cm-url,
.CodeMirror.cm-s-paper .cm-url {
  color: #b2caed;
}
.CodeMirror .cm-link,
.CodeMirror.cm-s-default .cm-link,
.CodeMirror.cm-s-paper .cm-link {
  color: #b2caed;
}
.CodeMirror .cm-error,
.CodeMirror.cm-s-default .cm-error,
.CodeMirror.cm-s-paper .cm-error {
  color: #f57f82;
}

.monaco-editor .selected-text {
  background-color: #2b3337 !important;
}
.monaco-editor .margin-view-overlays .line-numbers {
  color: #96b4aa !important;
}
.monaco-editor .line-numbers.active-line-number {
  color: #cbe3b3 !important;
}
.monaco-editor .view-overlays .current-line,
.monaco-editor .margin-view-overlays .current-line-margin {
  background-color: rgb(40.12, 47.76, 51.76) !important;
}
.monaco-editor .mtk1 {
  color: #f8f9e8 !important;
}
.monaco-editor .mtk2 {
  color: #ff69b4 !important;
}
.monaco-editor .mtk3 {
  color: #f7a182 !important;
}
.monaco-editor .mtk4 {
  color: #b3e3ca !important;
}
.monaco-editor .mtk5 {
  color: #f8f9e8 !important;
}
.monaco-editor .mtk6 {
  color: #d2bdf3 !important;
}
.monaco-editor .mtk7 {
  color: #f7a182 !important;
}
.monaco-editor .mtk8 {
  color: #839e9a !important;
}
.monaco-editor .mtk9 {
  color: #d2bdf3 !important;
}
.monaco-editor .mtk10 {
  color: #96b4aa !important;
}
.monaco-editor .mtk11 {
  color: #b3e3ca !important;
}
.monaco-editor .mtk12 {
  color: #b3e3ca !important;
}
.monaco-editor .mtk13 {
  color: #ff69b4 !important;
}
.monaco-editor .mtk14 {
  color: #ff69b4 !important;
}
.monaco-editor .mtk15 {
  color: #d2bdf3 !important;
}
.monaco-editor .mtk16 {
  color: #839e9a !important;
}
.monaco-editor .mtk17 {
  color: #ff69b4 !important;
}
.monaco-editor .mtk18 {
  color: #ff69b4 !important;
}
.monaco-editor .mtk19 {
  color: #b3e3ca !important;
}
.monaco-editor .mtk20 {
  color: #ff69b4 !important;
}
.monaco-editor .mtk21 {
  color: #cbe3b3 !important;
}
.monaco-editor .mtk22 {
  color: #ff69b4 !important;
}
.monaco-editor .mtk23 {
  color: #b2caed !important;
}
.monaco-editor .mtk24 {
  color: #f7a182 !important;
}
.monaco-editor .mtk25 {
  color: #f3c0e5 !important;
}
.monaco-editor .bracket-highlighting-0 {
  color: rgb(246.2, 175.8, 170.8) !important;
}
.monaco-editor .bracket-highlighting-1 {
  color: rgb(247.4, 196.2, 170.8) !important;
}
.monaco-editor .bracket-highlighting-2 {
  color: rgb(246.2, 224.4, 184) !important;
}
.monaco-editor .bracket-highlighting-3 {
  color: rgb(221, 235.8, 200.2) !important;
}
.monaco-editor .bracket-highlighting-4 {
  color: rgb(206, 220.8, 235) !important;
}
.monaco-editor .bracket-highlighting-5 {
  color: rgb(225.2, 213, 238.6) !important;
}